get
https://api.myvendy.com/transactions
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Endpoint to retrieve all business transactions on Vendy. This endpoint supports two forms for pagination; setting the time period for which transactions should be retrieved (via 'start' and 'end' query parameters) or number of transactions to be returned (via 'limit' query parameter).
Request:
| Parameter | Type | Description | Required |
|---|---|---|---|
| start | Integer(milliseconds since epoch) | A starting time period to get transactions from | false |
| end | Integer(milliseconds since epoch) | A ending time period to get transactions from | false |
| limit | String | offset, count, for example 0, 100, or a count used with offset. Defaults to 0, 100, or 0, 1000 when start and end are set | false |
| offset | Integer | Records to skip when limit is a single number | false |
| status | Enum(String) | completed (same as successful), pending, processing, failed, cancelled or refunded | false |
| search | String | Matches phone number, email or refid. start, end and method are ignored when it's set | false |
| method | String | Payment method, for example ussd | false |
| walletId | Integer | Only transactions credited to this wallet | false |
| simple | Boolean | true returns a lighter record | false |
| businessId | Integer | Ignored when you use API keys. See Authentication | false |
Example request
curl --location 'https://api.myvendy.com/transactions?limit=0,%20100' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY"Response:
| Field | Type | Description |
|---|---|---|
| status | Boolean | States if request was successfully executed or not |
| code | Integer | Internal code, success if 200 |
| msg | String | A description of the status of the request |
| data | Array[Transaction] | All retrieved transaction details |
Example response
{
"status": true,
"code": 200,
"msg": "Transactions",
"data": [
{
"id": 1,
"uid": 1,
"businessId": 1,
"request": "Optional",
"msisdn": "08012345678",
"amount": "100.0000",
"requestamount": "100.0000",
"refid": "6518564956061343757",
"vendref": null,
"debitref": "6518564956061343757",
"reason": "success",
"raw_reason": "success",
"channel": "ussd",
"page": "pin-page",
"currency": "NGA",
"delivered":1,
"vended": 1,
"reversed": 0,
"debited": 1,
"failed": 0,
"isreversing": 0,
"processing": 0,
"flag": null,
"created_on": "2021-10-31T21:58:27.000Z",
"updated_on": "2021-10-31T21:59:27.000Z",
"delivered_date":"2021-10-31T21:59:27.000Z",
"reversed_date": null,
"meta": {
"fee": 0.5,
"commission":0.5
}
},
{
"id": 2,
"uid": 1,
"businessId": 1,
"request": "Optional",
"msisdn": "08012345678",
"amount": "100.0000",
"requestamount": "100.0000",
"refid": "6518564956061343757",
"vendref": null,
"debitref": "6518564956061343757",
"reason": "success",
"raw_reason": "success",
"channel": "ussd",
"page": "pin-page",
"currency": "NGA",
"delivered":1,
"vended": 1,
"reversed": 0,
"debited": 1,
"failed": 0,
"isreversing": 0,
"processing": 0,
"flag": null,
"created_on": "2021-10-31T21:58:27.000Z",
"updated_on": "2021-10-31T21:59:27.000Z",
"delivered_date":"2021-10-31T21:59:27.000Z",
"reversed_date": null,
"meta": {
"fee": 0.5,
"commission":0.5
}
}
]
}Possible errors
| Error code | Type | Description |
|---|---|---|
| 204 | INVALID_DATA | Input is invalid. For example, start or end isn't a number |
